http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}Updates an existing backend authentication resource.
The app ID.
The name of the backend environment.
The name of this resource.
Defines the resource configuration when updating an authentication resource in your Amplify project.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}Updates an existing backend authentication resource.
The app ID.
The name of the backend environment.
The name of this resource.
Defines the resource configuration when updating an authentication resource in your Amplify project.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/auth/{backendEnvironmentName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}